Subject: Ticket Assigned - Don't buy from them if you don't want headache. I've been chasing them about my refund coz they deli...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jul 2020 07:42:15 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Don't buy from them if you don't want headache. I've been chasing them about my refund coz they deli... Don't buy from them if you don't want headache. I've been chasing them about my refund coz they delivered the wrong item since May 10, 2020 but till now no refund they even ask my bank details 9x & every time I called either put me on hold, hang up the call or when I speak one of the agent they will say its under process. Your service is very very very poor!!
Order No. 7680917620
Complaint No. 966298 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1274412